PVIMG-INFO(1)

NAME
pvimg-info - Print information about the IBM Secure Execution image

SYNOPSIS
pvimg info [OPTIONS] <INPUT|--print-schema <FORMAT>>

DESCRIPTION
Note that the API and output format is experimental and subject to change.

OPTIONS

<INPUT>
    Use INPUT as the Secure Execution image.

--format <FORMAT>
    Output format for the Secure Execution image information. If not specified, the format is automatically determined based on whether stdout is connected to a terminal. Possible values:
        - text: Human-readable, unstable text format (default if a terminal is available). - text:full: Human-readable, full detail text format. - json: Pretty-printed machine-readable JSON (default if no terminal available). - json:pretty: Pretty-printed machine-readable JSON. - json:minify: Minified machine-readable JSON.

--hdr-key <FILE>
    Use the key in FILE to verify the Secure Execution header and optionally use --show-secrets to decrypt it. The key must be the same key that was specified with --hdr-key when the Secure Execution image was created. The key is used to:
     1. Verify the integrity and authenticity of the header
     2. Optionally decrypt secrets with --show-secrets Without this option, the information is displayed, but NOT verified, and a warning is printed. The displayed data should not be trusted without verification.

--show-secrets
    This option reveals sensitive information that is normally encrypted in the header, such as:
     - Customer communication key (CCK)
     - Image encryption key
     - Other confidential data SECURITY WARNING: Only use this option in secure, trusted environments. The decrypted secrets should never be exposed in untrusted systems. This option requires --hdr-key to decrypt the header.

--print-schema <FORMAT>
    Print the schema for the info subcommand and exit. This outputs the schema that describes the structure of the given output FORMAT produced by the info subcommand. The schema can be used for:
     - Validating output
     - Building tools that parse the output Possible values:
        - text: Human-readable, unstable text format. - json: JSON format.

-h, --help
    Print help (see a summary with -h).

EXIT STATUS

0 - Program finished successfully
    The command was executed successfully.

1 - Generic error
    Something went wrong during the operation. Refer to the error message.

2 - Usage error
    The command was used incorrectly, for example: unsupported command line flag, or wrong number of arguments.

SEE ALSO

pvimg(1) zipl(8) qemu(1)